<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::bluetooth::A2DPSourceRecord Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth.html">bluetooth</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record.html">A2DPSourceRecord</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::bluetooth::A2DPSourceRecord Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A SDP record representing A2DPSource.  
 <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_p_records_8h_source.html">SDPRecords.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::bluetooth::A2DPSourceRecord:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html" title="Base class for an SDPRecord object used. " alt="" coords="261,12,458,51"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html" title="Used to implement ServiceDiscoveryProtocol records. This allows identification of the service..." alt="" coords="5,5,213,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::bluetooth::A2DPSourceRecord:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html" title="Base class for an SDPRecord object used. " alt="" coords="261,12,458,51"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html" title="Used to implement ServiceDiscoveryProtocol records. This allows identification of the service..." alt="" coords="5,5,213,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa7614e0a1b901a76292a2780475e31e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_a2_d_p_source_record.html#aa7614e0a1b901a76292a2780475e31e6">A2DPSourceRecord</a> (const std::string &amp;version)</td></tr>
<tr class="separator:aa7614e0a1b901a76292a2780475e31e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html">alexaClientSDK::avsCommon::utils::bluetooth::SDPRecord</a></td></tr>
<tr class="memitem:a6b05aae1501eba29669af45ec9d625d9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a6b05aae1501eba29669af45ec9d625d9">SDPRecord</a> (const std::string &amp;name, const std::string &amp;uuid, const std::string &amp;version)</td></tr>
<tr class="separator:a6b05aae1501eba29669af45ec9d625d9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e72053854d7c932d048c71b743d7fdc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a2e72053854d7c932d048c71b743d7fdc">getName</a> () const override</td></tr>
<tr class="separator:a2e72053854d7c932d048c71b743d7fdc inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a491b7e0f29ca72634d0209c72317ca0d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a491b7e0f29ca72634d0209c72317ca0d">getUuid</a> () const override</td></tr>
<tr class="separator:a491b7e0f29ca72634d0209c72317ca0d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebddc1f7966f628f7c1e971f53ffa27b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#aebddc1f7966f628f7c1e971f53ffa27b">getVersion</a> () const override</td></tr>
<tr class="separator:aebddc1f7966f628f7c1e971f53ffa27b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::SDPRecordInterface</a></td></tr>
<tr class="memitem:a1b2fb3649caa5411da75e3a64f2c75a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html#a1b2fb3649caa5411da75e3a64f2c75a9">~SDPRecordInterface</a> ()=default</td></tr>
<tr class="memdesc:a1b2fb3649caa5411da75e3a64f2c75a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html#a1b2fb3649caa5411da75e3a64f2c75a9">More...</a><br /></td></tr>
<tr class="separator:a1b2fb3649caa5411da75e3a64f2c75a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::SDPRecordInterface</a></td></tr>
<tr class="memitem:a93b362e3d4344f7699eb3ab13c5ee78a inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface.html#a93b362e3d4344f7699eb3ab13c5ee78a">BASE_UUID</a> ()</td></tr>
<tr class="separator:a93b362e3d4344f7699eb3ab13c5ee78a inherit pub_static_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_s_d_p_record_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html">alexaClientSDK::avsCommon::utils::bluetooth::SDPRecord</a></td></tr>
<tr class="memitem:a3be6990b395a78ba67a9dffae88f1862 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a3be6990b395a78ba67a9dffae88f1862">m_name</a></td></tr>
<tr class="memdesc:a3be6990b395a78ba67a9dffae88f1862 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="mdescLeft">&#160;</td><td class="mdescRight">The service name.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a3be6990b395a78ba67a9dffae88f1862">More...</a><br /></td></tr>
<tr class="separator:a3be6990b395a78ba67a9dffae88f1862 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65812666226f969603f0eb4fe17f4c4c inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a65812666226f969603f0eb4fe17f4c4c">m_uuid</a></td></tr>
<tr class="memdesc:a65812666226f969603f0eb4fe17f4c4c inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="mdescLeft">&#160;</td><td class="mdescRight">The 128-bit UUID.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a65812666226f969603f0eb4fe17f4c4c">More...</a><br /></td></tr>
<tr class="separator:a65812666226f969603f0eb4fe17f4c4c inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01630fce299eac82c57c90a07b8b5f94 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a01630fce299eac82c57c90a07b8b5f94">m_version</a></td></tr>
<tr class="memdesc:a01630fce299eac82c57c90a07b8b5f94 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="mdescLeft">&#160;</td><td class="mdescRight">The version.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record.html#a01630fce299eac82c57c90a07b8b5f94">More...</a><br /></td></tr>
<tr class="separator:a01630fce299eac82c57c90a07b8b5f94 inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1bluetooth_1_1_s_d_p_record"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A SDP record representing A2DPSource. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa7614e0a1b901a76292a2780475e31e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7614e0a1b901a76292a2780475e31e6">&#9670;&nbsp;</a></span>A2DPSourceRecord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::bluetooth::A2DPSourceRecord::A2DPSourceRecord </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>version</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">version</td><td>The version of the service. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/Bluetooth/<a class="el" href="_s_d_p_records_8h_source.html">SDPRecords.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/src/Bluetooth/<a class="el" href="_s_d_p_records_8cpp.html">SDPRecords.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
